> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.synthesia.io/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.synthesia.io/docs/_mcp/server.

# Export audit log events as CSV

POST https://api.synthesia.io/v2/auditLogs/export
Content-Type: application/json

Export audit log events for a workspace or organization as a CSV file.
Exactly one of workspaceId or organizationId must be provided.

Supports the same filtering options as the query endpoints:

* Date range (Unix timestamps)
* Multiple actions
* Multiple actor IDs
* Target ID

**Export limits:**

* Maximum 10,000 events per export
* If more events match the filters, the export will be truncated
* Truncated exports include "\_TRUNCATED" in the filename

**Example requests:**

* Export all events for an organization:
  \{"organizationId": "12345678-1234-1234-1234-123456789abc"}
* Export filtered events:
  \{"organizationId": "12345678-1234-1234-1234-123456789abc",
  "startDate": 1704067200, "endDate": 1735689599,
  "actions": \["billing.credits.consumed", "video.created"]}
* Export by workspace with filters:
  \{"workspaceId": "12345678-1234-1234-1234-123456789abc",
  "actorIds": \["user-123", "user-456"]}

This endpoint is rate-limited and usage is tracked against your API quota.

Reference: https://developers.synthesia.io/docs/video-api-reference/audit-logs/export-audit-log-events

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Body (application/json)

This endpoint expects an AuditLogsExportRequest.

- `workspaceId` (string, optional, nullable)
- `organizationId` (string, optional, nullable)
- `startDate` (integer, optional, nullable)
- `endDate` (integer, optional, nullable)
- `actions` (list of string, optional, nullable)
- `actorIds` (list of string, optional, nullable)
- `targetId` (string, optional, nullable)

## Response

### 200

CSV file containing audit log events

- File download.

## Errors

### 400 Bad Request Error

Invalid request parameters

- `error` (string, required)
- `context` (string, optional)

### 403 Forbidden Error

Forbidden - Wrong API key or Public API access disabled

- `error` (string, required)
- `context` (string, optional)

### 404 Not Found Error

Workspace or organization not found

- `error` (string, required)
- `context` (string, optional)

### 429 Too Many Requests Error

Rate limit exceeded

- `error` (string, required)
- `context` (string, optional)

## Examples

**Request**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.synthesia.io/v2/auditLogs/export"

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.synthesia.io/v2/auditLogs/export';
const options = {
  method: 'POST',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthesia.io/v2/auditLogs/export"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthesia.io/v2/auditLogs/export")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.synthesia.io/v2/auditLogs/export")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.synthesia.io/v2/auditLogs/export', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthesia.io/v2/auditLogs/export");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthesia.io/v2/auditLogs/export")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```